org.eclipse.emf.facet.util.emf.core

## Interface IResourceBrowserOpener

    public interface IResourceBrowserOpener

This class is used to register a Browser (typically an Eclipse editor or view), that can be opened from a given EMF Resource. The registration is done through the "org.eclipse.emf.facet.util.emf.core.modelViewer" extension point.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBrowserName()` Return a human readable name for the `Resource` browser.
`void` `openResource(Resource resource)` This method opens the given `Resource` with the browser corresponding to this `IResourceBrowserOpener`.

### Method Detail

#### openResource

    void openResource(Resource resource)

This method opens the given `Resource` with the browser corresponding to this `IResourceBrowserOpener`.

Parameters:
  `resource` - the `Resource` to be opened

#### getBrowserName

    java.lang.String getBrowserName()

Return a human readable name for the `Resource` browser.

Returns:
  a human readable name for the `Resource` browser